Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.cls
Class OWLClassesTab

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      edu.stanford.smi.protege.widget.AbstractWidget
                          edu.stanford.smi.protege.widget.AbstractTabWidget
                              edu.stanford.smi.protegex.owl.ui.widget.AbstractTabWidget
                                  edu.stanford.smi.protegex.owl.ui.cls.OWLClassesTab

All Implemented Interfaces:
  edu.stanford.smi.protege.plugin.Plugin, edu.stanford.smi.protege.util.Disposable, edu.stanford.smi.protege.util.Selectable, edu.stanford.smi.protege.widget.TabWidget, edu.stanford.smi.protege.widget.Widget, HierarchiesHost, NavigationHistoryTabWidget, HostResourceDisplay, ImageObserver, MenuContainer, Serializable, Accessible

    public class OWLClassesTab

extends AbstractTabWidget
implements NavigationHistoryTabWidget, HierarchiesHost

A tab for editing OWL/RDF classes, consisting of a class hierarchy tree and a resource display.

Author:
  Holger Knublauch
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected AssertedClassesPanel` | `clsesPanel`
`protected HierarchiesPanel` | `hierarchiesPanel`
`protected JSplitPane` | `mainSplitPane`
`protected ResourcePanel` | `resourcePanel`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`OWLClassesTab()`

Method Summary
`protected JComponent` | `createAssertedClsesPane()`
`protected JSplitPane` | `createMainSplitPane()`
`protected ResourcePanel` | `createResourcePanel()`
`boolean` | `displayHostResource(RDFResource resource)` Called by actions such as the view action in the FindUsagePanel or the OWLTestResultsPanel.
`void` | `ensureClassSelected(RDFSNamedClass cls, int oldConditionsRow)`
`void` | `ensureClsSelected(edu.stanford.smi.protege.model.Cls cls, int oldConditionsRow)` Deprecated.
`static OWLClassesTab` | `getClsesTab(Component comp)` Deprecated. use getOWLClassesTab instead
`JTree` | `getClsTree()`
`ConditionsWidget` | `getConditionsWidget()`
`DisjointClassesWidget` | `getDisjointClassesWidget()`
`protected HierarchiesPanel` | `getHierarchiesPanel()`
`HierarchyManager` | `getHierarchyManager()`
`protected JSplitPane` | `getMainSplitPane()`
`edu.stanford.smi.protege.util.Selectable` | `getNestedSelectable()`
`static OWLClassesTab` | `getOWLClassesTab(Component comp)`
`OWLModel` | `getOWLModel()`
`protected ResourceDisplay` | `getResourceDisplay()` Deprecated.
`ResourcePanel` | `getResourcePanel()`
`RDFSNamedClass` | `getSelectedClass()`
`void` | `hierarchiesChanged(int newPreferredWidth)`
`void` | `initialize()`
`static boolean` | `isSuitable(edu.stanford.smi.protege.model.Project p, Collection errors)`
`void` | `refreshChangedClses()`
`protected void` | `setHierarchiesPanel(HierarchiesPanel hierPanel)`
`void` | `setInferredClsesVisible(boolean visible)`
`protected void` | `setInitialSelection()`
`protected void` | `setMainSplitPane(JSplitPane splitpanel)`
`void` | `setSelectedCls(OWLNamedClass cls)` Deprecated. please replace with the one with RDFSNamedClass please
`void` | `setSelectedCls(RDFSNamedClass aClass)`
`void` | `showClass(RDFSNamedClass cls)`
`void` | `showCls(edu.stanford.smi.protege.model.Cls cls)` Deprecated.
`void` | `showInferredHierarchy()`
`protected void` | `transmitSelection()`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.widget.AbstractTabWidget
`getKnowledgeBase`

Methods inherited from class edu.stanford.smi.protege.widget.AbstractTabWidget
`addMainWindowToolBarButton, addUserToolBar, canClose, canSave, close, configure, createLeftRightSplitPane, createTopBottomSplitPane, getIcon, getLabel, getMainWindowMenuBar, getMainWindowToolBar, getSelectedInstances, getSelection, getShortDescription, getUserToolBar, removeMainWindowToolBarButton, removeUserToolBar, save, setClsTree, setIcon, setInstanceSelectable, setLabel, setShortDescription, setup, synchronizeClsTree, synchronizeToInstances`

Methods inherited from class edu.stanford.smi.protege.widget.AbstractWidget
`addSelectionListener, beginTransaction, beginTransaction, clearSelection, commitTransaction, dispose, endTransaction, equals, getDescriptor, getProject, getPropertyList, getStringProperty, isDesignTime, isRuntime, notifySelectionListeners, paint, removeSelectionListener, rollbackTransaction, setPropertyList, setup, show, showInstance`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.widget.Widget
`getDescriptor, getProject`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, notifySelectionListeners, removeSelectionListener`

Methods inherited from interface edu.stanford.smi.protege.plugin.Plugin
`getName`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Field Detail

### clsesPanel

    protected AssertedClassesPanel clsesPanel

### hierarchiesPanel

    protected HierarchiesPanel hierarchiesPanel

### mainSplitPane

    protected JSplitPane mainSplitPane

### resourcePanel

    protected ResourcePanel resourcePanel

Constructor Detail

### OWLClassesTab

    public OWLClassesTab()

Method Detail

### createAssertedClsesPane

    protected JComponent createAssertedClsesPane()

### createResourcePanel

    protected ResourcePanel createResourcePanel()

### createMainSplitPane

    protected JSplitPane createMainSplitPane()

### displayHostResource

    public boolean displayHostResource(RDFResource resource)

  Description copied from interface: `HostResourceDisplay`
  Called by actions such as the view action in the FindUsagePanel or the OWLTestResultsPanel. This can be implemented for special handling of this action - otherwise the system will pop up a new window showing the selected RDFResource.

  Specified by:
    `displayHostResource` in interface `HostResourceDisplay`
  Parameters:
    `resource` - the resource to display
  Returns:
    true if the navigation was handled, false for default behavior

### ensureClsSelected

    public void ensureClsSelected(edu.stanford.smi.protege.model.Cls cls,
                                  int oldConditionsRow)

  Deprecated.

### ensureClassSelected

    public void ensureClassSelected(RDFSNamedClass cls,
                                    int oldConditionsRow)

### getOWLClassesTab

    public static OWLClassesTab getOWLClassesTab(Component comp)

### getClsesTab

    public static OWLClassesTab getClsesTab(Component comp)

  Deprecated. use getOWLClassesTab instead

### getConditionsWidget

    public ConditionsWidget getConditionsWidget()

### getClsTree

    public JTree getClsTree()

  Overrides:
    `getClsTree` in class `edu.stanford.smi.protege.widget.AbstractTabWidget`

### getDisjointClassesWidget

    public DisjointClassesWidget getDisjointClassesWidget()

### getHierarchiesPanel

    protected HierarchiesPanel getHierarchiesPanel()

### getHierarchyManager

    public HierarchyManager getHierarchyManager()

### getMainSplitPane

    protected JSplitPane getMainSplitPane()

### getNestedSelectable

    public edu.stanford.smi.protege.util.Selectable getNestedSelectable()

  Specified by:
    `getNestedSelectable` in interface `NavigationHistoryTabWidget`

### getOWLModel

    public OWLModel getOWLModel()

  Overrides:
    `getOWLModel` in class `AbstractTabWidget`

### getResourceDisplay

    protected ResourceDisplay getResourceDisplay()

  Deprecated.

  See Also:
    `getResourcePanel()`

### getResourcePanel

    public ResourcePanel getResourcePanel()

### getSelectedClass

    public RDFSNamedClass getSelectedClass()

### hierarchiesChanged

    public void hierarchiesChanged(int newPreferredWidth)

  Specified by:
    `hierarchiesChanged` in interface `HierarchiesHost`

### initialize

    public void initialize()

  Specified by:
    `initialize` in interface `edu.stanford.smi.protege.widget.Widget`

### isSuitable

    public static boolean isSuitable(edu.stanford.smi.protege.model.Project p,
                                     Collection errors)

### refreshChangedClses

    public void refreshChangedClses()

### setMainSplitPane

    protected void setMainSplitPane(JSplitPane splitpanel)

### setHierarchiesPanel

    protected void setHierarchiesPanel(HierarchiesPanel hierPanel)

### setInferredClsesVisible

    public void setInferredClsesVisible(boolean visible)

### setInitialSelection

    protected void setInitialSelection()

### setSelectedCls

    public void setSelectedCls(OWLNamedClass cls)

  Deprecated. please replace with the one with RDFSNamedClass please

### setSelectedCls

    public void setSelectedCls(RDFSNamedClass aClass)

### showCls

    public void showCls(edu.stanford.smi.protege.model.Cls cls)

  Deprecated.

### showClass

    public void showClass(RDFSNamedClass cls)

### showInferredHierarchy

    public void showInferredHierarchy()

  Specified by:
    `showInferredHierarchy` in interface `HierarchiesHost`

### transmitSelection

    protected void transmitSelection()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.